commit:     bca2dc9137a9966187d7a7ce084bd0e152b359bc
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 11:03:03 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bca2dc91

net-misc/vncrec: fix build with -native-symlinks

Closes: https://bugs.gentoo.org/725262
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-misc/vncrec/vncrec-0.2-r2.ebuild | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/net-misc/vncrec/vncrec-0.2-r2.ebuild 
b/net-misc/vncrec/vncrec-0.2-r2.ebuild
index cb4d1e4f751..71f1c49f257 100644
--- a/net-misc/vncrec/vncrec-0.2-r2.ebuild
+++ b/net-misc/vncrec/vncrec-0.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -24,7 +24,7 @@ DEPEND="${RDEPEND}
        app-text/rman
        x11-base/xorg-proto
        x11-misc/gccmakedep
-       x11-misc/imake
+       >=x11-misc/imake-1.0.8-r1
 "
 
 DOCS=( README README.vnc )
@@ -38,13 +38,16 @@ src_prepare() {
 }
 
 src_configure() {
-       xmkmf -a || die
+       CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+               IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -a || die
 }
 
 src_compile() {
        emake \
-               CC=$(tc-getCC) \
-               CCOPTIONS="${CXXFLAGS}" \
+               AR="$(tc-getAR) cq" \
+               CC="$(tc-getCC)" \
+               RANLIB="$(tc-getRANLIB)" \
+               CDEBUGFLAGS="${CFLAGS}" \
                EXTRA_LDOPTIONS="${LDFLAGS}" \
                World
 }

Reply via email to